import { defineStore } from 'pinia'
import { ref } from 'vue'

export const useRwaModalStore = defineStore('rwaModal', () => {
  const showModal = ref(false)

  function open() {
    showModal.value = true
  }

  function close() {
    showModal.value = false
  }

  return {
    showModal,
    open,
    close,
  }
})